#!/bin/bash

set -Eeuo pipefail

[ "$(id -u)" -ne 0 ] && echo 'root privilege required' && exit 1

readonly DEBIAN_BASH_DIR='/opt/debian-bash'

#remove /etc/skel/.bashrc
if [ -e /etc/skel/.bashrc ]; then
    rm /etc/skel/.bashrc
fi

readonly ORIGINAL="ORIGINAL"
declare -a arr=(/etc/bash.bashrc /etc/inputrc /etc/vim/vimrc)

for i in "${arr[@]}"; do
    if [ ! -f "$i.$ORIGINAL" ]; then
        mv "$i" "$i.$ORIGINAL"
        basefile=$(basename "$i")
        ln -s "$DEBIAN_BASH_DIR/$basefile" "$i"
    fi
done
